/*  


ͻ
 Programa  RELBA     Autor Manoel Carlos Junior Data              
͹
Descricao                                                             
                                                                      
͹
Modulo    | SIGATEC  | USO | Especifico do SIGATEC                     
ͼ


*/

#Include "PROTHEUS.CH"
#Include "REPORT.CH"
#INCLUDE "FWCOMMAND.CH"

User Function RELBA()

Local oReport
Local oSection1
Local oSection2
Local oBreak
Local cPerg := "RELBA"


CriaSX1(cPerg)
Pergunte(cPerg, .F.)



DEFINE REPORT oReport NAME "RELBA" TITLE "RELATORIO BASE DE ATENDIMENTO" PARAMETER cPerg ACTION {|oReport| PrintReport(oReport, cPerg)}

DEFINE SECTION oSection1 OF oReport TITLE "Cabealho" TABLES "AA3"    

TRCell():New(oSection1,"AA3_XOBS","AA3","STATUS",,,,,,,,,,,,,,,.F.)
TRCell():New(oSection1,"AA3_CODCLI","AA3","Cliente",,,,,,,,,,,,,,,.F.)
TRCell():New(oSection1,"AA3_LOJA","AA3","Lj",,,,,,,,,,,,,,,.F.)
TRCell():New(oSection1,"A1_NREDUZ","SA1","Nome",,,,,,,,,,,,,,,.F.)
TRCell():New(oSection1,"A1_EST","SA1","UF",,,,,,,,,,,,,,,.F.)
TRCell():New(oSection1,"A1_VEND","SA1","Vendedor",,,,,,,,,,,,,,,.F.)                                                                  
TRCell():New(oSection1,"AA3_CFOP","AA3","CFOP",,,,,,,,,,,,,,,.F.)
TRCell():New(oSection1,"AA3_CODPRO","AA3","Produto",,,,,,,,,,,,,,,.F.)
TRCell():New(oSection1,"B1_DESC","AA3","Desc.",,,,,,,,,,,,,,,.F.)
TRCell():New(oSection1,"AA3_NFVEND","AA3","NF",,,,,,,,,,,,,,,.F.)
TRCell():New(oSection1,"AA3_DTVEND","AA3","Emisso",,,,,,,,,,,,,,,.F.)
TRCell():New(oSection1,"AA3_NUMSER","AA3","Serie",,,,,,,,,,,,,,,.F.)

//oBreak := TRBreak():New(oSection1,oSection1:Cell("AA3_NUMSER"),"Serie")

oReport:EndPage()
oReport:SetLandScape()
oReport :PrintDialog()

Return Nil

//----------------------------------------------------------------------------------------------------------------//


Static Function PrintReport(oReport, cPerg)

Local oSection1  	:= oReport:Section(1)
Local oSection2  	:= oReport:Section(2)
Local nOrdem 		:= oSection1:GetOrder()
Local oBreak


#IFDEF TOP
	
	Local cAlias := GetNextAlias()
	Local cSQL := ""
	
	MakeSqlExp(cPerg)
	
	If !Empty(mv_Par01)
		cSQL += "AND AA3_CODCLI >= '" + mv_Par01 + "' "
	EndIf
	If !Empty(mv_Par02)
		cSQL += "AND AA3_CODCLI <= '" + mv_Par02 + "' "
	EndIf
	If !Empty(mv_Par03)
		cSQL += "AND AA3_LOJA >= '" + mv_Par03 + "' "
	EndIf
	If !Empty(mv_Par04)
		cSQL += "AND AA3_LOJA <= '" + mv_Par04 + "' "
	EndIf
	If !Empty(mv_Par05)
		cSQL += "AND A1_EST >= '" + mv_Par05 + "' "
	EndIf
	If !Empty(mv_Par06)
		cSQL += "AND A1_EST <= '" + mv_Par06 + "' "
	EndIf
	If !Empty(mv_Par07)
		cSQL += "AND A1_VEND >= '" + mv_Par07 + "' "
	EndIf
	If !Empty(mv_Par08)
		cSQL += "AND A1_VEND <= '" + mv_Par08 + "' "
	EndIf
	If !Empty(mv_Par09)
		cSQL += "AND AA3_CODPRO >= '" + mv_Par09 + "' "
	EndIf
	If !Empty(mv_Par10)
		cSQL += "AND AA3_CODPRO <= '" + mv_Par10 + "' "
	EndIf
	If !Empty(mv_Par11)
		cSQL += "AND AA3_CFOP >= '" + mv_Par11 + "' "
	EndIf
	If !Empty(mv_Par12)
		cSQL += "AND AA3_CFOP <= '" + mv_Par12 + "' "  
	EndIf
	If !Empty(mv_Par13)
		cSQL += "AND AA3_DTVEND >= '" + DtoS(mv_Par13) + "'"
	EndIf
	If !Empty(mv_Par14)
		cSQL += "AND AA3_DTVEND <= '" + DtoS(mv_Par14) + "'"
	EndIf
	If !Empty(mv_Par15)
		cSQL += "AND AA3_XOBS >= '" + mv_Par15 + "' "
	EndIf
	If !Empty(mv_Par16)
		cSQL += "AND AA3_XOBS <= '" + mv_Par16 + "' "
	EndIf
			
	
	cSQL := "%"+cSQL+"%"
	
	BEGIN REPORT QUERY oReport:Section(1)
	
	BeginSQL Alias cAlias

        
SELECT 	AA3_XOBS, AA3_CODCLI, AA3_NFVEND, AA3_DTVEND, AA3_NUMSER, AA3_LOJA, AA3_CFOP,
         AA3_CODPRO, B1_DESC,A1_NREDUZ, A1_EST, A1_VEND
         
FROM %Table:AA3% AA3, %Table:SA1% SA1, %Table:SB1% SB1
                            

WHERE     A1_COD  = AA3_CODCLI 
      AND A1_LOJA = AA3_LOJA  
      AND B1_COD  = AA3_CODPRO
      AND AA3.%NotDel%    
      AND SA1.%NotDel%  
               
%Exp:cSQL%       
               
ORDER BY AA3_XOBS, AA3_CODCLI, A1_LOJA  

EndSQL


/*AutogrLog(GETLASTQUERY()[2])
MostraErro()*/




END REPORT QUERY oReport:Section(1)   

  oSection1:SetParentQuery()
  oSection1:Print()
  
    
#ELSE

   MakeAdvplExpr(cPerg)
	
   dbSelectArea("SZ1")
   dbSetOrder(1)
	
   If !Empty(mv_Par01)
      oReport:Section(1):SetFilter(mv_Par01)               // mv_Par01 contem a range de Contas.
   EndIf

   oReport:Section(1):Section(1):SetParentFilter({|cCodigo| SZ2->Z2_CODCOR == cCodigo}, {|| SZ1->Z1_CODIGO})
   oReport:Section(1):Section(1):SetLineCondition({|| SZ2->Z2_Data >= mv_Par02 .And. SZ2->Z2_Data <= mv_Par03 .And. Z2_Tipo $ IIf(mv_Par04==1,"12",If(mv_Par04==2,"1","2"))})
   
   oReport:Section(1):Print()

#ENDIF

Return Nil

//----------------------------------------------------------------------------------------------------------------//
// Parametros que devem ser passados para a funo de criao das perguntas no arquivo SX1.
//----------------------------------------------------------------------------------------------------------------//
//  1o. Parametro -> Nome do grupo
//  2o. Parametro -> Numero da ordem
//  3o. Parametro -> Texto da pergunta em portugues
//  4o. Parametro -> Texto da pergunta em espanhol
//  5o. Parametro -> Texto  da pergunta em ingles
//  6o. Parametro -> Nome da variavel
//  7o. Parametro -> Tipo do dado C=caractere, D=Data, N=Numerico
//  8o. Parametro -> Tamanho do dado
//  9o. Parametro -> Quantidade de casas decimais para o dado
// 10o. Parametro -> Numero da pre-selecao
// 11o. Parametro -> O tipo do dado sera G=get, S=scroll, C=choice, R=Range
// 12o. Parametro -> Sintaxe em advpl, ou funcao para validacao
// 13o. Parametro -> Consistencia com alguma tabela do sistema via <F3>
// 14o. Parametro -> Nome do grupo para SXG
// 15o. Parametro -> Pyme
// 16o. Parametro -> Nome da variavel que ser utilizada no programa
// 17o. Parametro -> Primeira definicao do texto em portugues se caso o tipo do dado for choice, exemplo: SIM ou Nao
// 18o. Parametro -> Primeira definicao do texto em espanhol se caso o tipo do dado for choice, exemplo: Si o No
// 19o. Parametro -> Primeira definicao do texto em ingles se caso o tipo do dado for choice, exemplo: Yes or No
// 20o. Parametro -> Conteudo da ultima resposta informada no parametro se caso o tipo do dados for get
// 21o. Parametro -> Segunda definicao do texto em portugues se caso o tipo do dado for choice, exemplo: SIM ou Nao
// 22o. Parametro -> Segunda definicao do texto em espanhol se caso o tipo do dado for choice, exemplo: Si o No
// 23o. Parametro -> Segunda definicao do texto em ingles se caso o tipo do dado for choice, exemplo: Yes or No
// 24o. Parametro -> Terceira definicao do texto em portugues se caso o tipo do dado for choice, exemplo: SIM ou Nao
// 25o. Parametro -> Terceira definicao do texto em espanhol se caso o tipo do dado for choice, exemplo: Si o No
// 26o. Parametro -> Terceira definicao do texto em ingles se caso o tipo do dado for choice, exemplo: Yes or No
// 27o. Parametro -> Quarta definicao do texto em portugues se caso o tipo do dado for choice, exemplo: SIM ou Nao
// 28o. Parametro -> Quarta definicao do texto em espanhol se caso o tipo do dado for choice, exemplo: Si o No
// 29o. Parametro -> Quarta definicao do texto em ingles se caso o tipo do dado for choice, exemplo: Yes or No
// 30o. Parametro -> Quinta definicao do texto em portugues se caso o tipo do dado for choice, exemplo: SIM ou Nao
// 31o. Parametro -> Quinta definicao do texto em espanhol se caso o tipo do dado for choice, exemplo: Si o No
// 32o. Parametro -> Quinta definicao do texto em ingles se caso o tipo do dado for choice, exemplo: Yes or No
// 33o. Parametro -> Vetor com o texto do help em portugues
// 34o. Parametro -> Vetor com o texto do help em espanhol
// 35o. Parametro -> Vetor com o texto do help em ingles
// 36o. Parametro -> Nome do grupo do help

Static Function CriaSX1(cPerg)                                                                                                           

Local aHelp := {}

//            Texto do help em portugus                , ingls, espanhol
AAdd(aHelp, {{"Informe o Cdigo do Cliente "           }, {""}, {""}})
AAdd(aHelp, {{"Informe o Cdigo do Cliente "           }, {""}, {""}})
AAdd(aHelp, {{"Informe o Cdigo da Loja "              }, {""}, {""}})
AAdd(aHelp, {{"Informe o Cdigo da Loja "              }, {""}, {""}})
AAdd(aHelp, {{"Informe a UF "                          }, {""}, {""}})
AAdd(aHelp, {{"Informe a UF "                          }, {""}, {""}})
AAdd(aHelp, {{"Informe o Cdigo do Vendedor "          }, {""}, {""}})
AAdd(aHelp, {{"Informe o Cdigo do Vendedor "          }, {""}, {""}})
AAdd(aHelp, {{"Informe o Cdigo do Produto "           }, {""}, {""}})
AAdd(aHelp, {{"Informe o Cdigo do Produto "           }, {""}, {""}})
AAdd(aHelp, {{"Informe o CFOP "                        }, {""}, {""}})
AAdd(aHelp, {{"Informe o CFOP "                        }, {""}, {""}})
AAdd(aHelp, {{"Informe a Data de Emisso  "            }, {""}, {""}})
AAdd(aHelp, {{"Informe a Data de Emisso  "            }, {""}, {""}})
AAdd(aHelp, {{"Informe o Status  "                     }, {""}, {""}})
AAdd(aHelp, {{"Informe o Status  "                     }, {""}, {""}})


        
//	  	  1o  2o     3o           4  5   6o      7  8  9  10 11  12  13   14 15    16      17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32   33           34         35     36 
PutSX1(cPerg,"01","De Cliente"	,"","","mv_ch1","C",06,00,00,"G","","","","","mv_Par01","","","","","","","","","","","","","","","","",aHelp[1,1],aHelp[1,2],aHelp[1,3],"")
PutSX1(cPerg,"02","At Cliente"  ,"","","mv_ch2","C",06,00,00,"G","","","","","mv_Par02","","","","","","","","","","","","","","","","",aHelp[2,1],aHelp[2,2],aHelp[2,3],"")
PutSX1(cPerg,"03","De Loja"	,"","","mv_ch3","C",02,00,00,"G","","","","","mv_Par03","","","","","","","","","","","","","","","","",aHelp[3,1],aHelp[3,2],aHelp[3,3],"")
PutSX1(cPerg,"04","At Loja"  ,"","","mv_ch4","C",02,00,00,"G","","","","","mv_Par04","","","","","","","","","","","","","","","","",aHelp[4,1],aHelp[4,2],aHelp[4,3],"")
PutSX1(cPerg,"05","De UF"	,"","","mv_ch5","C",02,00,00,"G","","","","","mv_Par05","","","","","","","","","","","","","","","","",aHelp[5,1],aHelp[5,2],aHelp[5,3],"")
PutSX1(cPerg,"06","At UF"  ,"","","mv_ch6","C",02,00,00,"G","","","","","mv_Par06","","","","","","","","","","","","","","","","",aHelp[6,1],aHelp[6,2],aHelp[6,3],"")
PutSX1(cPerg,"07","De Vendedor"	,"","","mv_ch7","C",06,00,00,"G","","","","","mv_Par07","","","","","","","","","","","","","","","","",aHelp[7,1],aHelp[7,2],aHelp[7,3],"")
PutSX1(cPerg,"08","At Vendedor"  ,"","","mv_ch8","C",06,00,00,"G","","","","","mv_Par08","","","","","","","","","","","","","","","","",aHelp[8,1],aHelp[8,2],aHelp[8,3],"")
PutSX1(cPerg,"09","De Produto"	,"","","mv_ch9","C",15,00,00,"G","","","","","mv_Par09","","","","","","","","","","","","","","","","",aHelp[9,1],aHelp[9,2],aHelp[9,3],"")
PutSX1(cPerg,"10","At Produto"  ,"","","mv_cha","C",15,00,00,"G","","","","","mv_Par10","","","","","","","","","","","","","","","","",aHelp[10,1],aHelp[10,2],aHelp[10,3],"")
PutSX1(cPerg,"11","De CFOP"	,"","","mv_chb","C",06,00,00,"G","","","","","mv_Par11","","","","","","","","","","","","","","","","",aHelp[11,1],aHelp[11,2],aHelp[11,3],"")
PutSX1(cPerg,"12","At CFOP"  ,"","","mv_chc","C",06,00,00,"G","","","","","mv_Par12","","","","","","","","","","","","","","","","",aHelp[12,1],aHelp[12,2],aHelp[12,3],"")
PutSX1(cPerg,"13","Emitidas em"	,"","","mv_chd","D",08,00,00,"G","","","","","mv_Par13","","","","","","","","","","","","","","","","",aHelp[13,1],aHelp[13,2],aHelp[13,3],"")
PutSX1(cPerg,"14","At "  ,"","","mv_che","D",08,00,00,"G","","","","","mv_Par14","","","","","","","","","","","","","","","","",aHelp[14,1],aHelp[14,2],aHelp[14,3],"")
PutSX1(cPerg,"15","De Status"	,"","","mv_chf","C",20,00,00,"G","","","","","mv_Par15","","","","","","","","","","","","","","","","",aHelp[15,1],aHelp[15,2],aHelp[15,3],"")
PutSX1(cPerg,"16","At Status"  ,"","","mv_chg","C",20,00,00,"G","","","","","mv_Par16","","","","","","","","","","","","","","","","",aHelp[16,1],aHelp[16,2],aHelp[16,3],"")

Return